Debian Bug report logs - #473461
should use dpkg --no-triggers

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Joey Hess <joeyh@debian.org>

Date: Sun, 30 Mar 2008 19:39:01 UTC

Severity: wishlist

Tags: d-i

Merged with 489897

Found in versions apt/0.7.11, apt/0.7.14

Fixed in version apt/0.7.24

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should use --suppress-triggers
Date: Sun, 30 Mar 2008 15:36:06 -0400
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.7.11
Severity: wishlist

From dpkg's triggers.txt:

   A package management tool which will run dpkg --configure --pending at
   the end may use --suppress-triggers on its other dpkg runs.  This
   would be more efficient as it allows more aggressive deferral (and
   hence more unification) of trigger processing.

Apt does not currently do this, and I think it would be a good idea for it to
do so, once a trigger-using dpkg is available in stable. Once menu is converted
to use triggers (I have written a patch), update-menus will be triggered twice
per dpkg invocation by apt. (This will drop to once per dpkg invocation
later..) In a large upgrade, that could be quite a lot of unnecessary
update-menus runs. With --suppress-triggers, it would run once at the very end.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 473461@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 473461@bugs.debian.org
Subject: Re: Bug#473461: should use --suppress-triggers
Date: Mon, 31 Mar 2008 00:33:47 -0300
Joey Hess <joeyh@debian.org> writes:

> Package: apt
> Version: 0.7.11
> Severity: wishlist
>
> From dpkg's triggers.txt:
>
>    A package management tool which will run dpkg --configure --pending at
>    the end may use --suppress-triggers on its other dpkg runs.  This
>    would be more efficient as it allows more aggressive deferral (and
>    hence more unification) of trigger processing.
>
> Apt does not currently do this, and I think it would be a good idea for it to
> do so, once a trigger-using dpkg is available in stable. Once menu is converted
> to use triggers (I have written a patch), update-menus will be triggered twice
> per dpkg invocation by apt. (This will drop to once per dpkg invocation
> later..) In a large upgrade, that could be quite a lot of unnecessary
> update-menus runs. With --suppress-triggers, it would run once at the very end.

No problem from my point of view but we'll need to wait until it get's
accepted in unstable to do that. I'll prepare the diff and put it in a
branch waiting for it.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 473461@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Joey Hess <joeyh@debian.org>, 473461@bugs.debian.org
Subject: Re: Bug#473461: should use dpkg --no-triggers
Date: Tue, 8 Apr 2008 20:28:19 +0300
retitle 473461 should use dpkg --no-triggers
thanks

On Sun, 2008-03-30 at 15:36:06 -0400, Joey Hess wrote:
> From dpkg's triggers.txt:
> 
>    A package management tool which will run dpkg --configure --pending at
>    the end may use --suppress-triggers on its other dpkg runs.  This
>    would be more efficient as it allows more aggressive deferral (and
>    hence more unification) of trigger processing.

Those option names do not match reality, fixed in git already:

  <http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=de995070>

regards,
guillem




Changed Bug title to `should use dpkg --no-triggers' from `should use --suppress-triggers'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 17:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 473461@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Otavio Salvador <otavio@debian.org>, 473461@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: Bug#473461: should use --suppress-triggers
Date: Fri, 9 May 2008 14:31:16 +0200
On Mon, Mar 31, 2008 at 12:33:47AM -0300, Otavio Salvador wrote:
> Joey Hess <joeyh@debian.org> writes:
> 
> > Package: apt
> > Version: 0.7.11
> > Severity: wishlist
> >
> > From dpkg's triggers.txt:
> >
> >    A package management tool which will run dpkg --configure --pending at
> >    the end may use --suppress-triggers on its other dpkg runs.  This
> >    would be more efficient as it allows more aggressive deferral (and
> >    hence more unification) of trigger processing.
> >
> > Apt does not currently do this, and I think it would be a good idea for it to
> > do so, once a trigger-using dpkg is available in stable. Once menu is converted
> > to use triggers (I have written a patch), update-menus will be triggered twice
> > per dpkg invocation by apt. (This will drop to once per dpkg invocation
> > later..) In a large upgrade, that could be quite a lot of unnecessary
> > update-menus runs. With --suppress-triggers, it would run once at the very end.
> 
> No problem from my point of view but we'll need to wait until it get's
> accepted in unstable to do that. I'll prepare the diff and put it in a
> branch waiting for it.

Hello all,

What is the status of this bug ? 
Should this wishlist item be also reported to aptitude ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 22 May 2008 01:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 473461@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 473461@bugs.debian.org
Subject: apt-get should also have a --no-triggers option
Date: Wed, 21 May 2008 21:10:19 -0400
[Message part 1 (text/plain, inline)]
When you're implementing this, please add a --no-triggers option (or
something like that) to apt. This will be useful for things like d-i
that call apt multiple times. Then triggers can be skipped during the
multiple apt runs, and run once at the end.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 473461@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Joey Hess <joeyh@debian.org>, 473461@bugs.debian.org
Subject: Re: Bug#473461: apt-get should also have a --no-triggers option
Date: Wed, 28 May 2008 14:42:04 +0200
[Message part 1 (text/plain, inline)]
On Wed, May 21, 2008 at 09:10:19PM -0400, Joey Hess wrote:
> When you're implementing this, please add a --no-triggers option (or
> something like that) to apt. This will be useful for things like d-i
> that call apt multiple times. Then triggers can be skipped during the
> multiple apt runs, and run once at the end.

The attached patch should implement supression of triggers with -o
DPkg::NoTriggers=true. It also adds --no-triggers to all but the
latest dpkg run as outlined in the triggers.txt dpkg documentation.

I'm a bit nervos adding it to the debian-sid apt branch right now, I
would like to do some more testing first to see if it does not
break. Feedback is very welcome of course.

Cheers,
 Michael



[apt-no-triggers.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 473461@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Michael Vogt <mvo@debian.org>
Cc: 473461@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#473461: apt-get should also have a --no-triggers option
Date: Wed, 28 May 2008 10:49:29 -0300
Michael Vogt <mvo@debian.org> writes:

> On Wed, May 21, 2008 at 09:10:19PM -0400, Joey Hess wrote:
>> When you're implementing this, please add a --no-triggers option (or
>> something like that) to apt. This will be useful for things like d-i
>> that call apt multiple times. Then triggers can be skipped during the
>> multiple apt runs, and run once at the end.
>
> The attached patch should implement supression of triggers with -o
> DPkg::NoTriggers=true. It also adds --no-triggers to all but the
> latest dpkg run as outlined in the triggers.txt dpkg documentation.
>
> I'm a bit nervos adding it to the debian-sid apt branch right now, I
> would like to do some more testing first to see if it does not
> break. Feedback is very welcome of course.

Michael,

Let's upload it to experimental with the other things not suitable to
sid and when current apt migrates we decide to push it or not.

What do you think?

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Forcibly Merged 473461 489897. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 13 Jul 2008 14:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 473461@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 473461@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: #473461 should use dpkg --no-triggers
Date: Fri, 01 Aug 2008 19:25:30 +0200
Please consider the wishlist bug against grub2 for implementing a
trigger (481542) before implementing this in apt.

Currently update-grub, which generates menu.lst/grub.cfg, gets called on
a kernel removal, a kernel install and on grub update itself.
As you can see in the report with current sid apt/dpkg the man-db
trigger gets called after everything is extracted but before the
packages are configured.
This would be fine for grub too.

But if this gets changed and we can't rely that our trigger gets called
after extracting everything then it might be that update-grub doestn't
ever get called if the whole apt/dpkg configure run fails at some point
and then you probable have only a not anymore installed kernel in the
grub menu.





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 473461@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Felix Zielcke <fzielcke@z-51.de>
Cc: 473461@bugs.debian.org
Subject: Re: #473461 should use dpkg --no-triggers
Date: Fri, 1 Aug 2008 14:13:41 -0400
[Message part 1 (text/plain, inline)]
Felix Zielcke wrote:
> But if this gets changed and we can't rely that our trigger gets called
> after extracting everything

You already can't rely on the trigger being called at any particular
time. dpkg can choose to run it at any point from the package being
unpacked to arbitrarily long after it's configured.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. (Fri, 12 Dec 2008 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to michel_gabbiano@yahoo.fr:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 12 Dec 2008 13:24:02 GMT) Full text and rfc822 format available.

Message #56 received at 473461@bugs.debian.org (full text, mbox):

From: Michel Gabbiano <michel_gabbiano@yahoo.fr>
To: 473461@bugs.debian.org
Subject: Any news?
Date: Fri, 12 Dec 2008 13:21:16 +0000 (GMT)
Hello,
Any update on this bug (triggers processed for every package instead of once per upgrade)?
It significantly slows down the upgrade from etch to lenny on my computer...
Regards,
Michel







Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#473461; Package apt. (Fri, 12 Dec 2008 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 12 Dec 2008 14:21:04 GMT) Full text and rfc822 format available.

Message #61 received at 473461@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: michel_gabbiano@yahoo.fr, 473461@bugs.debian.org, Michael Vogt <mvo@debian.org>
Cc: Otavio Salvador <otavio@debian.org>
Subject: Re: Bug#473461: Any news?
Date: Fri, 12 Dec 2008 16:16:54 +0200
[Message part 1 (text/plain, inline)]
Michel Gabbiano wrote:
> Hello,
> Any update on this bug (triggers processed for every package instead of once per upgrade)?
> It significantly slows down the upgrade from etch to lenny on my computer...
Firstly - try using aptitude. It seems that needed feature it's already implemented in it.

Michael, you wrote the original patch (BTW, attached one look line unfinished or cutted),
please. What do you think about this?

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
Ukrainian C++ developer, Debian APT contributor

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Fri, 25 Sep 2009 19:00:31 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Fri, 25 Sep 2009 19:00:31 GMT) Full text and rfc822 format available.

Message #66 received at 473461-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 473461-close@bugs.debian.org
Subject: Bug#473461: fixed in apt 0.7.24
Date: Fri, 25 Sep 2009 18:32:11 +0000
Source: apt
Source-Version: 0.7.24

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.24_all.deb
  to pool/main/a/apt/apt-doc_0.7.24_all.deb
apt-transport-https_0.7.24_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.24_i386.deb
apt-utils_0.7.24_i386.deb
  to pool/main/a/apt/apt-utils_0.7.24_i386.deb
apt_0.7.24.dsc
  to pool/main/a/apt/apt_0.7.24.dsc
apt_0.7.24.tar.gz
  to pool/main/a/apt/apt_0.7.24.tar.gz
apt_0.7.24_i386.deb
  to pool/main/a/apt/apt_0.7.24_i386.deb
libapt-pkg-dev_0.7.24_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.24_i386.deb
libapt-pkg-doc_0.7.24_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.24_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473461@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Sep 2009 19:57:25 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.24
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 441608 473461 503481 509866 513058 544017 545059 545208 545694 547599 547788
Changes: 
 apt (0.7.24) unstable; urgency=low
 .
   [ Nicolas Fran├žois ]
   * Cleaned up the first patch draft from KURASAWA Nozomu to finally
     get po4a support for translating the man pages.
     Many thanks to both for this excellent work! (Closes: #441608)
   * doc/ja/*, doc/po/ja.po:
     - remove the old ja man page translation and replace it with
       the new po4a-powered translation by KURASAWA Nozomu.
   * doc/*.?.xml (manpages):
     - add contrib to author tags and also add refmiscinfo to fix warnings
   * doc/style.txt, buildlib/defaults.mak, buildlib/manpage.mak:
     - fix a few typos in the comments of this files
 .
   [ Michael Vogt ]
   * apt-pkg/deb/dpkgpm.cc:
     - when tcgetattr() returns non-zero skip all pty magic
       (thanks to Simon Richter, closes: #509866)
   * apt-inst/contrib/arfile.cc:
     - show propper error message for Invalid archive members
 .
   [ David Kalnischkies ]
   * doc/Doxyfile.in:
     - update file with doxygen 1.6.1 (current unstable)
     - activate DOT_MULTI_TARGETS, it is default on since doxygen 1.5.9
   * buildlib/po4a_manpage.mak, doc/makefile, configure:
     - simplify the makefiles needed for po4a manpages
   * apt-pkg/contrib/configuration.cc:
     - add a helper to easily get a vector of strings from the config
   * apt-pkg/contrib/strutl.cc:
     - replace unknown multibytes with ? in UTF8ToCharset (Closes: #545208)
   * doc/apt-get.8.xml:
     - fix two little typos in the --simulate description. (Closes: #545059)
   * apt-pkg/aptconfiguration.cc, doc/apt.conf.5.xml:
     - add an order subgroup to the compression types to simplify reordering
       a bit and improve the documentation for this option group.
   * doc/apt.conf.5.xml:
     - document the Acquire::http::Dl-Limit option
     - try to be crystal clear about the usage of :: and {} (Closes: #503481)
   * doc/apt-cache.8.xml:
     - clarify the note for the pkgnames command (Closes: #547599)
   * doc/apt.ent, all man pages:
     - move the description of files to globally usable entities
   * doc/apt_preferences.5.xml:
     - document the new preferences.d folder (Closes: #544017)
   * methods/rred.cc:
     - add at the top without failing (by Bernhard R. Link, Closes: #545694)
   * buildlib/sizetable:
     - add amd64 for cross building (by Mikhail Gusarov, Closes: #513058)
   * debian/prerm:
     - remove file as nobody will upgrade from 0.4.10 anymore
   * debian/control:
     - remove gnome-apt suggestion as it was removed from debian
   * apt-pkg/deb/dpkgpm.cc, apt-pkg/packagemanager.cc, apt-pkg/orderlist.cc:
     - add and document _experimental_ options to make (aggressive)
       use of dpkg's trigger and configuration handling (Closes: #473461)
   * cmdline/apt-get.cc:
     - ignore versions that are not candidates when selecting a package
       instead of a virtual one (by Marius Vollmer, Closes: #547788)
 .
   [ Christian Perrier ]
   * doc/fr/*, doc/po/fr.po:
     - remove the old fr man page translation and replace it with
       the new po4a-powered translation
   * doc/de: dropped (translation is too incomplete to be useful in
       the transition to the po4a-powered translations)
Checksums-Sha1: 
 4b8e68c3ff313502e1529574fab875f9794ebeda 1225 apt_0.7.24.dsc
 fbc20da6f663bd0337ab8b7bb2f57ccba943a927 2161181 apt_0.7.24.tar.gz
 b01dff34ecbbc2c44392e172862a701a917e4bd4 105348 apt-doc_0.7.24_all.deb
 32989cbf46fb4c899e14bb9d956256bb1af8507a 129802 libapt-pkg-doc_0.7.24_all.deb
 5291c628f92e04388a0b9d757a286c3beab2c345 1671724 apt_0.7.24_i386.deb
 cbf4f6b50e312f52f23c3bd0f50be93099116517 116852 libapt-pkg-dev_0.7.24_i386.deb
 bacc5467ea11aeba0143b8a4aab48776d9058314 204306 apt-utils_0.7.24_i386.deb
 b7a04bafbd4f42abe5dfbb1e4080977418eefdbd 64224 apt-transport-https_0.7.24_i386.deb
Checksums-Sha256: 
 4de60f23d78c8bf88294e3620f346111d220d593817f059ba8983edbd3a50b82 1225 apt_0.7.24.dsc
 7eebf66a5786f2003e28699d963756e2b3e93871de41663fec4cc556d17b1d0c 2161181 apt_0.7.24.tar.gz
 77baac7f2cacca53f1a0e0d5e6d7fbb009a7031caa6c02bdc2a480d7b1a94468 105348 apt-doc_0.7.24_all.deb
 b56eec90084a6476392ef5d9302c9c20fa39c183a023eb2d2794b50fc8e94390 129802 libapt-pkg-doc_0.7.24_all.deb
 d589a091fa59b8b6fe14f9e852dcf8d7d6d187628a392f0e89e0da2d744162c9 1671724 apt_0.7.24_i386.deb
 1a332227d1aa38ccda8a8c54e8221109173aa69530a94d9e54270398b4bfeb5d 116852 libapt-pkg-dev_0.7.24_i386.deb
 82863a2efffd55a4f1b436621b246093a1d1d8334c2f8325573f64d8fd7bec18 204306 apt-utils_0.7.24_i386.deb
 2187814e33d79e47cd150f1f29875db995cdacf19ef72daae35f9e4b9a51950a 64224 apt-transport-https_0.7.24_i386.deb
Files: 
 27c79ab1abf67e8a74f1ba199110df30 1225 admin important apt_0.7.24.dsc
 4656d2b3c09696a07470e0e6e6f066db 2161181 admin important apt_0.7.24.tar.gz
 c8a166f4d9fa8007eeeebedd5521ad02 105348 doc optional apt-doc_0.7.24_all.deb
 8f7cfb248e57ecdc45dfdd9f9a7a5d0b 129802 doc optional libapt-pkg-doc_0.7.24_all.deb
 b67f055746ac4d07ffc27df8f3cbc29f 1671724 admin important apt_0.7.24_i386.deb
 4139924c977069d29decf2980a2101b9 116852 libdevel optional libapt-pkg-dev_0.7.24_i386.deb
 9e0e4b29cb995cab0ed19d2da1a24123 204306 admin important apt-utils_0.7.24_i386.deb
 fe24f8c4e6237116ff0b6dc1088f3ca4 64224 admin optional apt-transport-https_0.7.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq9CtoACgkQliSD4VZixzTmfQCghqi+Y57PuGE9mgCrwvwzKtRE
z1YAn0T6YVDmYh5gO6zFnpQ1uc51MFk5
=9uKf
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Fri, 25 Sep 2009 19:00:32 GMT) Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. (Fri, 25 Sep 2009 19:00:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Dec 2009 07:36:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:31:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.